Project

General

Profile

Bug #11693

Backport r50985. (don't close others for rubyspec)

Added by nagachika (Tomoyuki Chikanaga) almost 4 years ago. Updated almost 4 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
[ruby-dev:49345]

Description

Backport 管理用のチケットのため Closed で作成します。
RubySpec の エラー修正のため r50985 が必要でした。

Associated revisions

Revision 3e895a04
Added by nagachika (Tomoyuki Chikanaga) almost 4 years ago

merge revision(s) 50985: [Backport #11693]

    runruby.rb: don't close other fds

    * tool/runruby.rb: rubyspec now requires other FDs not to be

closed since 7b6ce1fee.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@52580 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 52580
Added by nagachika (Tomoyuki Chikanaga) almost 4 years ago

merge revision(s) 50985: [Backport #11693]

runruby.rb: don't close other fds

* tool/runruby.rb: rubyspec now requires other FDs not to be

closed since 7b6ce1fee.

Revision 5d428a7e
Added by usa (Usaku NAKAMURA) almost 4 years ago

merge revision(s) 50985: [Backport #11693]

    runruby.rb: don't close other fds

    * tool/runruby.rb: rubyspec now requires other FDs not to be

closed since 7b6ce1fee.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@52644 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 52644
Added by usa (Usaku NAKAMURA) almost 4 years ago

merge revision(s) 50985: [Backport #11693]

runruby.rb: don't close other fds

* tool/runruby.rb: rubyspec now requires other FDs not to be

closed since 7b6ce1fee.

History

Updated by nagachika (Tomoyuki Chikanaga) almost 4 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: REQUIRED to 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: DONE

Backported into ruby_2_2 branch at r52580.

Updated by usa (Usaku NAKAMURA) almost 4 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: DONE to 2.0.0: REQUIRED, 2.1: DONE, 2.2: DONE

ruby_2_1 r52644 merged revision(s) 50985.

Also available in: Atom PDF